Bug 861681 - preupgrade anaconda doesn't mount / on GPT partition (with /boot on different GPT partition)
preupgrade anaconda doesn't mount / on GPT partition (with /boot on different...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-29 20:08 EDT by David Jaša
Modified: 2014-02-05 07:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:23:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preupgrade output (2.98 KB, text/plain)
2012-09-29 20:08 EDT, David Jaša
no flags Details
anaconda.log (1.97 KB, text/plain)
2012-09-29 20:11 EDT, David Jaša
no flags Details
ifcfg.log (641 bytes, text/plain)
2012-09-29 20:11 EDT, David Jaša
no flags Details
packaging.log (369 bytes, text/plain)
2012-09-29 20:12 EDT, David Jaša
no flags Details
program.log (34.53 KB, text/plain)
2012-09-29 20:12 EDT, David Jaša
no flags Details
storage.log (61.33 KB, text/plain)
2012-09-29 20:13 EDT, David Jaša
no flags Details
syslog (98.37 KB, text/plain)
2012-09-29 20:14 EDT, David Jaša
no flags Details
X.log (54.34 KB, text/plain)
2012-09-29 20:14 EDT, David Jaša
no flags Details

  None (edit)
Description David Jaša 2012-09-29 20:08:11 EDT
Created attachment 619249 [details]
preupgrade output

Description of problem:
preupgrade anaconda doesn't mount / on GPT partition (with /boot on different GPT partition)

Version-Release number of selected component (if applicable):
old system:
yum-3.4.3-29.fc17.noarch
preupgrade-1.1.10-2.fc17.noarch
anaconda: anaconda 18.8

How reproducible:
always

Steps to Reproduce:
1. install up-to-date Fedora on disk with GPT layout outlined below
2. run preupgrade, reboot
3.
  
Actual results:
anaconda fails to mount root partition (/dev/vda4) and finishes with some exception right after X server start, saying that it can not run metacity

Expected results:
anaconda works

Additional info:
Partition table, blkid (from host system):
# gdisk -l /dev/root_vg/fedora-virt 
GPT fdisk (gdisk) version 0.8.4

Partition table scan:
  MBR: protective
  BSD: not present
  APM: not present
  GPT: present

Found valid GPT with protective MBR; using GPT.
Disk /dev/root_vg/fedora-virt: 31455232 sectors, 15.0 GiB
Logical sector size: 512 bytes
Disk identifier (GUID): DD03CA79-47D3-4793-B32C-0B6CA6DC0D9C
Partition table holds up to 128 entries
First usable sector is 34, last usable sector is 31455198
Partitions will be aligned on 2048-sector boundaries
Total free space is 4029 sectors (2.0 MiB)

Number  Start (sector)    End (sector)  Size       Code  Name
   1            2048            4095   1024.0 KiB  EF02  
   2            4096         2101247   1024.0 MiB  EF00  ext4
   3         2101248         5246975   1.5 GiB     8200  
   4         5246976        31453183   12.5 GiB    0700

# [root@dhcp-29-7 ~]# blkid | grep fedora--virt
/dev/mapper/root_vg-fedora--virt2: UUID="530d243d-ffa2-4c5d-87c9-45610f945d24" TYPE="ext4" 
/dev/mapper/root_vg-fedora--virt3: UUID="841145b4-5dca-43f6-84d1-f38e537fa3d9" TYPE="swap" 
/dev/mapper/root_vg-fedora--virt4: UUID="49ee4206-eb50-4c5b-a0b9-043128b995d3" TYPE="ext4"

fstab:
#
# /etc/fstab
# Created by anaconda on Fri Dec  9 15:03:38 2011
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
UUID=49ee4206-eb50-4c5b-a0b9-043128b995d3   /                   ext4    defaults        1 1
UUID=530d243d-ffa2-4c5d-87c9-45610f945d24   /boot               ext4    defaults        1 2
UUID=841145b4-5dca-43f6-84d1-f38e537fa3d9   swap                swap    defaults        0 0

preupgrade output attached. Anaconda logs will follow
Comment 1 David Jaša 2012-09-29 20:11:14 EDT
Created attachment 619250 [details]
anaconda.log
Comment 2 David Jaša 2012-09-29 20:11:42 EDT
Created attachment 619251 [details]
ifcfg.log
Comment 3 David Jaša 2012-09-29 20:12:13 EDT
Created attachment 619252 [details]
packaging.log
Comment 4 David Jaša 2012-09-29 20:12:58 EDT
Created attachment 619253 [details]
program.log
Comment 5 David Jaša 2012-09-29 20:13:29 EDT
Created attachment 619254 [details]
storage.log
Comment 6 David Jaša 2012-09-29 20:14:17 EDT
Created attachment 619255 [details]
syslog
Comment 7 David Jaša 2012-09-29 20:14:52 EDT
Created attachment 619256 [details]
X.log
Comment 8 Fedora End Of Life 2013-12-21 03:59:32 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 07:23:33 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.